curl --request GET \
--url https://app.supercycle.com/api/v1/products \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"handle": "<string>",
"sequentialId": 123,
"shopifyId": 123,
"title": "<string>",
"imageUrl": "<string>",
"variants": [
{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"imageUrl": "<string>",
"shopifyId": 123,
"title": "<string>",
"sku": "<string>"
}
]
}
],
"nextPage": "<string>"
}Returns a list of all products in Supercycle. Likely to be used in conjunction with Shopify API to display information about the products.
curl --request GET \
--url https://app.supercycle.com/api/v1/products \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"handle": "<string>",
"sequentialId": 123,
"shopifyId": 123,
"title": "<string>",
"imageUrl": "<string>",
"variants": [
{
"id": 123,
"createdAt": "2023-11-07T05:31:56Z",
"imageUrl": "<string>",
"shopifyId": 123,
"title": "<string>",
"sku": "<string>"
}
]
}
],
"nextPage": "<string>"
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A limit on the number of objects to be returned. Limit can range between 1 and 100, and the default is 50.
x <= 100Cursor token to fetch next page of results.
Filter items by product title and variant SKU
Was this page helpful?